Bug 1329715 - [abrt] plasmashell/sddm: drainMarkStack(): sddm-greeter killed by SIGSEGV
Summary: [abrt] plasmashell/sddm: drainMarkStack(): sddm-greeter killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtdeclarative
Version: 24
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: AcceptedFreezeException abrt_hash:ea2...
: 1329709 1331593 (view as bug list)
Depends On:
Blocks: F24BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2016-04-22 16:34 UTC by Adam Williamson
Modified: 2016-05-29 17:46 UTC (History)
11 users (show)

Fixed In Version: qt5-qtdeclarative-5.6.0-10.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-29 17:46:40 UTC


Attachments (Terms of Use)
File: backtrace (39.83 KB, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: cgroup (229 bytes, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: core_backtrace (9.64 KB, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: dso_list (17.98 KB, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: environ (517 bytes, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: exploitable (82 bytes, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: gdb.txt (23.49 KB, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: limits (1.29 KB, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: maps (56.96 KB, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: mountinfo (3.03 KB, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: namespaces (85 bytes, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: open_fds (1.85 KB, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: proc_pid_status (970 bytes, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details
File: var_log_messages (3.30 KB, text/plain)
2016-04-22 16:34 UTC, Adam Williamson
no flags Details

Description Adam Williamson 2016-04-22 16:34:25 UTC
Description of problem:
Installed F23 i686 KDE live, updated to latest F23, dnf system-upgrade'd to F24 with updates-testing enabled, booted. sddm shows only background and environment selector: https://www.happyassassin.net/temp/sddm24.png . This crash is apparent in system logs.

Version-Release number of selected component:
sddm-0.13.0-7.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        /usr/bin/sddm-greeter --socket /tmp/sddm-:0-okCmbm --theme /usr/share/sddm/themes/01-breeze-fedora
crash_function: drainMarkStack
executable:     /usr/bin/sddm-greeter
global_pid:     1110
kernel:         4.5.2-300.fc24.i686
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            992

Truncated backtrace:
Thread no. 2 (1 frames)
 #0 ??

Comment 1 Adam Williamson 2016-04-22 16:34:30 UTC
Created attachment 1149840 [details]
File: backtrace

Comment 2 Adam Williamson 2016-04-22 16:34:31 UTC
Created attachment 1149841 [details]
File: cgroup

Comment 3 Adam Williamson 2016-04-22 16:34:32 UTC
Created attachment 1149842 [details]
File: core_backtrace

Comment 4 Adam Williamson 2016-04-22 16:34:33 UTC
Created attachment 1149843 [details]
File: dso_list

Comment 5 Adam Williamson 2016-04-22 16:34:35 UTC
Created attachment 1149844 [details]
File: environ

Comment 6 Adam Williamson 2016-04-22 16:34:36 UTC
Created attachment 1149845 [details]
File: exploitable

Comment 7 Adam Williamson 2016-04-22 16:34:37 UTC
Created attachment 1149846 [details]
File: gdb.txt

Comment 8 Adam Williamson 2016-04-22 16:34:38 UTC
Created attachment 1149847 [details]
File: limits

Comment 9 Adam Williamson 2016-04-22 16:34:40 UTC
Created attachment 1149848 [details]
File: maps

Comment 10 Adam Williamson 2016-04-22 16:34:41 UTC
Created attachment 1149849 [details]
File: mountinfo

Comment 11 Adam Williamson 2016-04-22 16:34:42 UTC
Created attachment 1149850 [details]
File: namespaces

Comment 12 Adam Williamson 2016-04-22 16:34:43 UTC
Created attachment 1149851 [details]
File: open_fds

Comment 13 Adam Williamson 2016-04-22 16:34:44 UTC
Created attachment 1149852 [details]
File: proc_pid_status

Comment 14 Adam Williamson 2016-04-22 16:34:46 UTC
Created attachment 1149853 [details]
File: var_log_messages

Comment 15 Adam Williamson 2016-04-22 16:34:56 UTC
*** Bug 1329709 has been marked as a duplicate of this bug. ***

Comment 16 Adam Williamson 2016-04-22 16:37:30 UTC
Note this may not relate to upgrade at all, it could just be a case of 'this always happens on i686'. We haven't had working F24 i686 images for months due to https://bugzilla.redhat.com/show_bug.cgi?id=1302071 , so we have not reached this point in testing. Tomorrow we should have a working i686 kernel, so we should be able to see if this happens with a clean F24 i686 KDE.

Comment 17 Adam Williamson 2016-04-22 16:40:05 UTC
I'm gonna propose this as a Beta freeze exception for now, on the basis it may well happen on fresh installs. Not a blocker so long as it's i686 only, i686 images no longer block the release by policy.

Comment 18 Rex Dieter 2016-04-22 16:46:54 UTC
Down in qtdecalarative's V4 javascript bits:


Thread 1 (Thread 0xb36a9800 (LWP 1110)):
#0  0x00000000 in ?? ()
No symbol table info available.
#1  0xb6ff867c in drainMarkStack (markBase=<optimized out>, engine=<optimized out>) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/jsruntime/qv4persistent.cpp:220
No locals.
#2  QV4::PersistentValueStorage::mark (this=0x81a28f98, e=0x81b23fb0) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/jsruntime/qv4persistent.cpp:234
        markBase = <optimized out>
        p = 0xab405000
#3  0xb6ee1ea4 in QV4::MemoryManager::mark (this=this@entry=0x81b24070) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/memory/qv4mm.cpp:384
        markBase = 0xae201410
#4  0xb6ee2dc0 in QV4::MemoryManager::runGC (this=this@entry=0x81b24070) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/memory/qv4mm.cpp:546
No locals.
#5  0xb6ee3f4c in QV4::MemoryManager::allocData (this=this@entry=0x81b24070, size=size@entry=32, unmanagedSize=16) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/memory/qv4mm.cpp:267
        didGCRun = false
        pos = <optimized out>
        m = <optimized out>
        header = <optimized out>
#6  0xb6fe7a4d in QV4::MemoryManager::allocManaged<QV4::String> (unmanagedSize=<optimized out>, size=<optimized out>, this=0x81b24070) at /usr/src/debug/qtdeclarative-opensource-src-5.6.0/src/qml/memory/qv4mm_p.h:102
        o = <optimized out>

Comment 19 Petr Schindler 2016-04-25 18:08:49 UTC
Discussed at 2016-04-25 blocker review meeting: [1]. 

This bug was accepted as Freeze Exception: if a targeted and tested fix for this is available soon we will consider including it (as this would be an upgrade criterion violation if i686 still blocked releases), but will be careful not to break x86_64

[1] http://meetbot.fedoraproject.org/fedora-blocker-review/2016-02-29/f24-blocker-review.2016-04-25-17.02.html

Comment 20 Adam Williamson 2016-04-28 19:24:59 UTC
Confirming that this happens on a clean install also, thanks openQA:

https://openqa.fedoraproject.org/tests/14980

note particularly the login screen appearance - https://openqa.fedoraproject.org/tests/14980/modules/_graphical_wait_login/steps/7 - exactly the same as I saw on the upgraded system. So it's clearly the same bug.

Also note that 32-bit KDE lives hang at a black screen when the desktop should appear:

https://openqa.fedoraproject.org/tests/14921

I'm not sure if it's the same bug.

Comment 21 Rex Dieter 2016-05-23 19:16:32 UTC
The backtrace matches my findings from bug #1331593, but this one at least has a better backtrace (debuginfo)

Comment 22 Rex Dieter 2016-05-28 16:06:14 UTC
OK, after a bit of discussion, kde-sig highly suspected this is a qt5-qtdeclarative issue, most likely triggered by gcc6.

So, installed f24/i686 workstation, and installed @kde-desktop-environment on top of that to do additional testing, and found that building qt5-qtdeclarative with addtional flag: -fno-lifetime-dse , seemed to fix the crashes for me.

Here's a build that includes that for testing purposes:
http://koji.fedoraproject.org/koji/taskinfo?taskID=14291923

Comment 23 Rex Dieter 2016-05-28 16:06:37 UTC
*** Bug 1331593 has been marked as a duplicate of this bug. ***

Comment 24 nucleo 2016-05-28 16:30:04 UTC
After installing qt5-qtdeclarative-5.6.0-10.fc25.i686.rpm sddm looks as it should and plasma-desktop starts.

Comment 25 Fedora Update System 2016-05-28 17:42:58 UTC
qt5-qtdeclarative-5.6.0-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-452ca0119f

Comment 26 Fedora Update System 2016-05-29 00:55:23 UTC
qt5-qtdeclarative-5.6.0-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-452ca0119f

Comment 27 Fedora Update System 2016-05-29 17:46:34 UTC
qt5-qtdeclarative-5.6.0-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.